Get Workspace
GET
Returns one Workspace and its permitted collaboration metadata.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
workspace_id*stringFormat
uuidas_of?stringFormat
date-timeexpand?array<>Items
items <= 50fields?array<>Items
items <= 200id?stringFormat
uuidrevision?stringLength
1 <= length <= 200data; projection; schema_version; revision; links; provenance when permitted.
application/json- response
as_of*smb_v0_operations_get_workspace_response.__local.TimestampFormat
date-timedata*links?projection*stringprovenance?array<>request_id*SmbV0OperationsGetBusinessRequestRevisionLength
1 <= length <= 200revision?schema_hash*smb_v0_operations_get_workspace_response.__local.DigestMatch
^sha256:[0-9a-f]{64}$schema_version*stringLength
1 <= length <= 100curl -X GET 'https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "as_of": "2019-08-24T14:15:22Z", "data": { "archived_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by_identity_id": "7f2cd75a-e056-42a8-b406-a873783eb761", "current_revision_id": "e5714292-57d7-4936-a019-416c89b9b32b", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "public_id": "string", "publication_evidence_id": "0539a9d3-f24a-4877-8f98-634767e6f18b", "publication_status": "private", "published_at": "2019-08-24T14:15:22Z", "published_by_identity_id": "b38f3770-a382-4706-b22f-0a01c378af2a", "record_type": "string", "schema_version": "string", "slug": "string", "status": "active", "updated_at": "2019-08-24T14:15:22Z" }, "links": { "property1": "../dictionary", "property2": "../dictionary" }, "projection": "workspace", "provenance": [ { "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81" } ], "request_id": "string", "revision": { "created_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "record_id": "8bf519b6-a3e0-49d2-8e42-039542d9a489" }, "schema_hash": "string", "schema_version": "string"}